Schema "fpml-business-events-5-5.xsd"
Target Namespace:

  http://www.fpml.org/FpML-5/pretrade

Version:

  $Revision: 10172 $

Defined Components:

  5 global elements, 78 local elements, 22 complexTypes, 15 element groups

Default Namespace-Qualified Form:

  Local Elements: qualified; Local Attributes: unqualified

Schema Location:

  C:\Users\mkoli\FpML Specifications\trunk\xml\pretrade\fpml-business-events-5-5.xsd; see XML source

Includes Schemas (2):

  fpml-asset-5-5.xsd [src], fpml-msg-5-5.xsd [src]

Included in Schema:

  fpml-pretrade-processes-5-5.xsd [src]

All Element Summary
additionalEvent | The additionalEvent element is an extension/substitution point to customize FpML and add additional events.
Type: | AdditionalEvent
Content: | complex, 1 element
Abstract: | (may not be used directly in instance XML documents)
Defined: | globally; see XML source
Used: | never
agreementDate | The date on which the change was agreed.
Type: | xsd:date
Content: | simple
Defined: | locally witnin AgreementAndEffectiveDates.model group; see XML source
basketChange | Describes a change due to change in composition of basket underlyer
Type: | BasketChangeEvent
Content: | complex, 1 element
Subst.Gr: | may substitute for element changeEvent
Defined: | globally; see XML source
Used: | never
changeEvent | Abstract substitutable place holder for specific change details.
Type: | ChangeEvent
Content: | complex, 1 element
Subst.Gr: | may be substituted with 3 elements
Defined: | globally; see XML source
Used: | at 3 locations
changeInNotionalAmount (defined in TradeNotionalChange.model group) | Specifies the fixed amount by which the Notional Amount changes.
Type: | NonNegativeMoney
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin TradeNotionalChange.model group; see XML source
changeInNotionalAmount (in novationAmount) |
Type: | NonNegativeMoney
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin TradeLegNotionalChange.model group; see XML source
changeInNumberOfOptions (defined in TradeNotionalChange.model group) | Specifies the fixed amount by which the Number of Options changes
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin TradeNotionalChange.model group; see XML source
changeInNumberOfOptions (in novationAmount) |
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin TradeLegNumberOfOptionsChange.model group; see XML source
changeInNumberOfUnits (defined in TradeNotionalChange.model group) | Specifies the fixed amount by which the Number of Units changes
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin TradeNotionalChange.model group; see XML source
changeInNumberOfUnits (in novationAmount) |
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin TradeLegNumberOfUnitsChange.model group; see XML source
compressionType |
Type: | CompressionType
Content: | simple, 1 attribute
Defined: | locally witnin CompressionActivity complexType; see XML source
contractualDefinitions (defined in NovationTerms.model group) | The definitions (such as those published by ISDA) that will define the terms of the novation transaction.
Type: | ContractualDefinitions
Content: | simple, 1 attribute
Defined: | locally witnin NovationTerms.model group; see XML source
contractualTermsSupplement (defined in NovationTerms.model group) | A contractual supplement (such as those published by ISDA) that will apply to the trade.
Type: | ContractualTermsSupplement
Content: | complex, 2 elements
Defined: | locally witnin NovationTerms.model group; see XML source
corporateAction | Describes a change due to a corporate action
Type: | CorporateActionEvent
Content: | complex, 2 elements
Subst.Gr: | may substitute for element changeEvent
Defined: | globally; see XML source
Used: | never
creditDerivativesNotices | This element should be specified if one or more of either a Credit Event Notice, Notice of Publicly Available Information, Notice of Physical Settlement or Notice of Intended Physical Settlement, as applicable, has been delivered by or to the Transferor or the Remaining Party.
Type: | CreditDerivativesNotices
Content: | complex, 3 elements
Defined: | locally witnin NovationTerms.model group; see XML source
date (defined in OptionExpiryBase complexType) |
Type: | xsd:date
Content: | simple
Defined: | locally witnin OptionExpiryBase complexType; see XML source
date (defined in TradeMaturity complexType) |
Type: | xsd:date
Content: | simple
Defined: | locally witnin TradeMaturity complexType; see XML source
effectiveDate (defined in AgreementAndEffectiveDates.model group) | The date on which the change become effective.
Type: | xsd:date
Content: | simple
Defined: | locally witnin AgreementAndEffectiveDates.model group; see XML source
eventId |
Type: | EventId
Content: | simple, 2 attributes
Defined: | locally witnin BusinessEventIdentifier complexType; see XML source
eventIdentifier (defined in AbstractEvent complexType) |
Type: | BusinessEventIdentifier
Content: | complex, 1 attribute, 3 elements
Defined: | locally witnin AbstractEvent complexType; see XML source
eventIdentifier (defined in TradingEventSummary complexType) |
Type: | BusinessEventIdentifier
Content: | complex, 1 attribute, 3 elements
Defined: | locally witnin TradingEventSummary complexType; see XML source
eventType |
Type: | EventType
Content: | simple, 1 attribute
Defined: | locally witnin TradingEventSummary complexType; see XML source
executionDateTime (defined in AgreementAndEffectiveDates.model group) | The date and time at which the negotiated change to the terms of the original contract was agreed, such as via telephone or electronic trading system (i.e., agreement date/time).
Type: | ExecutionDateTime
Content: | simple, 1 attribute
Defined: | locally witnin AgreementAndEffectiveDates.model group; see XML source
executionDateTime (defined in NovationDates.model group) | The date and time at which the change was agreed.
Type: | ExecutionDateTime
Content: | simple, 1 attribute
Defined: | locally witnin NovationDates.model group; see XML source
factoredCalculationAmount |
Type: | Money
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin IndexChange complexType; see XML source
feeTrade | Indicates the original trade between the transferor and the remaining party.
Type: | Trade
Content: | complex, 1 attribute, 13 elements
Defined: | locally witnin FeeTrade.model group; see XML source
feeTradeIdentifier | Indicates a reference to the implied trade (the "fee trade") that the associated novation fee based on.
Type: | PartyTradeIdentifier
Content: | complex, 1 attribute, 11 elements
Defined: | locally witnin FeeTrade.model group; see XML source
firstPeriodStartDate (defined in NovationTerms.model group) | Element that is used to be able to make sense of the “new transaction” without requiring reference back to the “old transaction”.
Type: | FirstPeriodStartDate
Content: | simple, 1 attribute
Defined: | locally witnin NovationTerms.model group; see XML source
fullFirstCalculationPeriod | This element corresponds to the applicability of the Full First Calculation Period as defined in the 2004 ISDA Novation Definitions, section 1.20.
Type: | xsd:boolean
Content: | simple
Defined: | locally witnin NovationTerms.model group; see XML source
indexChange | Describes a change due to an index component being adjusted.
Type: | IndexChange
Content: | complex, 3 elements
Subst.Gr: | may substitute for element changeEvent
Defined: | globally; see XML source
Used: | never
indexFactor |
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin IndexChange complexType; see XML source
newTrade | Indicates the new trade between the transferee and the remaining party.
Type: | Trade
Content: | complex, 1 attribute, 13 elements
Defined: | locally witnin NewTrade.model group; see XML source
newTradeIdentifier | Indicates a reference to the new trade between the transferee and the remaining party.
Type: | PartyTradeIdentifier
Content: | complex, 1 attribute, 11 elements
Defined: | locally witnin NewTrade.model group; see XML source
nonReliance | This element corresponds to the non-Reliance section in the 2004 ISDA Novation Definitions, section 2.1 (c) (i).
Type: | Empty
Content: | empty
Defined: | locally witnin NovationTerms.model group; see XML source
notionalReference (in novationAmount) |
Type: | NotionalReference
Content: | empty, 1 attribute
Defined: | locally witnin TradeLegNotionalChange.model group; see XML source
novatedAmount | The amount which represents the portion of the Old Contract being novated.
Type: | Money
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin NovationAmountsOld.model group; see XML source
novatedNumberOfOptions | The number of options which represent the portion of the Old Contract being novated.
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin NovationAmountsOld.model group; see XML source
novatedNumberOfUnits | The number of options which represent the portion of the Old Contract being novated.
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin NovationAmountsOld.model group; see XML source
novationAmount |
Type: | TradeLegSizeChange
Content: | complex, 9 elements
Defined: | locally witnin NovationAmounts.model group; see XML source
novationDate | Specifies the date that one party's legal obligations with regard to a trade are transferred to another party.
Type: | xsd:date
Content: | simple
Defined: | locally witnin NovationDates.model group; see XML source
novationTradeDate | Specifies the date the parties agree to assign or novate a Contract.
Type: | xsd:date
Content: | simple
Defined: | locally witnin NovationDates.model group; see XML source
numberOfOptionsReference |
Type: | NumberOfOptionsReference
Content: | empty, 1 attribute
Defined: | locally witnin TradeLegNumberOfOptionsChange.model group; see XML source
numberOfUnitsReference |
Type: | NumberOfUnitsReference
Content: | empty, 1 attribute
Defined: | locally witnin TradeLegNumberOfUnitsChange.model group; see XML source
oldTrade | Indicates the original trade between the transferor and the remaining party.
Type: | Trade
Content: | complex, 1 attribute, 13 elements
Defined: | locally witnin OldTrade.model group; see XML source
oldTradeIdentifier | Indicates a reference to the original trade between the transferor and the remaining party.
Type: | PartyTradeIdentifier
Content: | complex, 1 attribute, 11 elements
Defined: | locally witnin OldTrade.model group; see XML source
originalTrade (defined in TradeChangeBase complexType) |
Type: | Trade
Content: | complex, 1 attribute, 13 elements
Defined: | locally witnin TradeChangeBase complexType; see XML source
originatingEvent (in tradeReferenceInformation) | This may be used to describe why a trade was created.
Type: | OriginatingEvent
Content: | simple, 1 attribute
Defined: | locally witnin TradeReferenceInformation complexType; see XML source
originatingTradeId (defined in CompressionActivity complexType) |
Type: | TradeId
Content: | simple, 2 attributes
Defined: | locally witnin CompressionActivity complexType; see XML source
originatingTradeIdentifier |
Type: | TradeIdentifier
Content: | complex, 1 attribute, 6 elements
Defined: | locally witnin CompressionActivity complexType; see XML source
otherRemainingParty | A pointer style reference to a party identifier defined elsewhere in the document.
Type: | PartyReference
Content: | empty, 1 attribute
Defined: | locally witnin NovationRoles.model group; see XML source
otherRemainingPartyAccount |
Type: | AccountReference
Content: | empty, 1 attribute
Defined: | locally witnin NovationRoles.model group; see XML source
otherTransferee | A pointer style reference to a party identifier defined elsewhere in the document.
Type: | PartyReference
Content: | empty, 1 attribute
Defined: | locally witnin NovationRoles.model group; see XML source
otherTransfereeAccount |
Type: | AccountReference
Content: | empty, 1 attribute
Defined: | locally witnin NovationRoles.model group; see XML source
outstandingNotionalAmount (defined in TradeNotionalChange.model group) | Specifies the Notional amount after the Change
Type: | NonNegativeMoney
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin TradeNotionalChange.model group; see XML source
outstandingNotionalAmount (in novationAmount) |
Type: | NonNegativeMoney
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin TradeLegNotionalChange.model group; see XML source
outstandingNumberOfOptions (defined in TradeNotionalChange.model group) | Specifies the Number of Options after the Change.
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin TradeNotionalChange.model group; see XML source
outstandingNumberOfOptions (in novationAmount) |
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin TradeLegNumberOfOptionsChange.model group; see XML source
outstandingNumberOfUnits (defined in TradeNotionalChange.model group) | Specifies the Number of Units
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin TradeNotionalChange.model group; see XML source
outstandingNumberOfUnits (in novationAmount) |
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin TradeLegNumberOfUnitsChange.model group; see XML source
partyTradeIdentifier (in tradeReferenceInformation) | This allows the acknowledging party to supply additional trade identifiers for a trade underlying a request relating to a business event.
Type: | PartyTradeIdentifier
Content: | complex, 1 attribute, 11 elements
Defined: | locally witnin TradeReferenceInformation complexType; see XML source
partyTradeInformation (in tradeReferenceInformation) | This allows the acknowledging party to supply additional trade information about a trade underlying a request relating to a business event.
Type: | PartyTradeInformation
Content: | complex, 28 elements
Defined: | locally witnin TradeReferenceInformation complexType; see XML source
payment (defined in TradeAlterationPayment.model group) | Describes a payment made in settlement of the change.
Type: | Payment
Content: | complex, 2 attributes, 10 elements
Defined: | locally witnin TradeAlterationPayment.model group; see XML source
payment (defined in TradingEventSummary complexType) | A fee which compensates one of the parties for taking on a position that is off market.
Type: | NonNegativePayment
Content: | complex, 1 attribute, 6 elements
Defined: | locally witnin TradingEventSummary complexType; see XML source
productId (in tradeReferenceInformation) |
Type: | ProductId
Content: | simple, 1 attribute
Defined: | locally witnin TradeReferenceInformation complexType; see XML source
productType (in tradeReferenceInformation) |
Type: | ProductType
Content: | simple, 1 attribute
Defined: | locally witnin TradeReferenceInformation complexType; see XML source
remainingAmount | The amount which represents the portion of the Old Contract not being novated.
Type: | Money
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin NovationAmountsOld.model group; see XML source
remainingNumberOfOptions | The number of options which represent the portion of the Old Contract not being novated.
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin NovationAmountsOld.model group; see XML source
remainingNumberOfUnits | The number of options which represent the portion of the Old Contract not being novated.
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin NovationAmountsOld.model group; see XML source
remainingParty | A pointer style reference to a party identifier defined elsewhere in the document.
Type: | PartyReference
Content: | empty, 1 attribute
Defined: | locally witnin NovationRoles.model group; see XML source
remainingPartyAccount |
Type: | AccountReference
Content: | empty, 1 attribute
Defined: | locally witnin NovationRoles.model group; see XML source
replacementTradeId |
Type: | TradeId
Content: | simple, 2 attributes
Defined: | locally witnin CompressionActivity complexType; see XML source
replacementTradeIdentifier |
Type: | TradeIdentifier
Content: | complex, 1 attribute, 6 elements
Defined: | locally witnin CompressionActivity complexType; see XML source
terminatingEvent | This may be used to describe why a trade was terminated.
Type: | TerminatingEvent
Content: | simple, 1 attribute
Defined: | locally witnin TradeReferenceInformation complexType; see XML source
time (defined in OptionExpiryBase complexType) |
Type: | xsd:time
Content: | simple
Defined: | locally witnin OptionExpiryBase complexType; see XML source
tradeIdentifier (defined in OptionExpiryBase complexType) |
Type: | PartyTradeIdentifier
Content: | complex, 1 attribute, 11 elements
Defined: | locally witnin OptionExpiryBase complexType; see XML source
tradeIdentifier (defined in TradeChangeBase complexType) |
Type: | PartyTradeIdentifier
Content: | complex, 1 attribute, 11 elements
Defined: | locally witnin TradeChangeBase complexType; see XML source
tradeIdentifier (defined in TradeMaturity complexType) |
Type: | PartyTradeIdentifier
Content: | complex, 1 attribute, 11 elements
Defined: | locally witnin TradeMaturity complexType; see XML source
tradeReferenceInformation | Information about a trade.
Type: | TradeReferenceInformation
Content: | complex, 6 elements
Defined: | locally witnin TradeReferenceInformation.model group; see XML source
transferee | A pointer style reference to a party identifier defined elsewhere in the document.
Type: | PartyReference
Content: | empty, 1 attribute
Defined: | locally witnin NovationRoles.model group; see XML source
transfereeAccount |
Type: | AccountReference
Content: | empty, 1 attribute
Defined: | locally witnin NovationRoles.model group; see XML source
transferor | A pointer style reference to a party identifier defined elsewhere in the document.
Type: | PartyReference
Content: | empty, 1 attribute
Defined: | locally witnin NovationRoles.model group; see XML source
transferorAccount |
Type: | AccountReference
Content: | empty, 1 attribute
Defined: | locally witnin NovationRoles.model group; see XML source
type (in corporateAction) |
Type: | CorporateActionType
Content: | simple, 1 attribute
Defined: | locally witnin CorporateActionEvent complexType; see XML source

Complex Type Summary
AbstractEvent | Abstract base type for all events.
Content: | complex, 1 element
Abstract: | (cannot be assigned directly to elements used in instance XML documents)
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 3 locations
AdditionalEvent | Abstract base type for an extension/substitution point to customize FpML and add additional events.
Content: | complex, 1 element
Abstract: | (cannot be assigned directly to elements used in instance XML documents)
Defined: | globally; see XML source
Used: | at 1 location
BasketChangeEvent | A structure indicating that the basket underlyer of the trade has changed due to client trading activity
Content: | complex, 1 element
Defined: | globally; see XML source
Used: | at 1 location
BusinessEventIdentifier | A type defining an event identifier issued by the indicated party.
Content: | complex, 1 attribute, 3 elements
Defined: | globally; see XML source
Includes: | definitions of 1 attribute, 1 element
Used: | at 2 locations
ChangeEvent | Abstract base type for non-negotiated trade change descriptions
Content: | complex, 1 element
Abstract: | (cannot be assigned directly to elements used in instance XML documents)
Defined: | globally; see XML source
Used: | at 4 locations
CompressionActivity | A type that shows how multiple trades have been combined into a result.
Content: | complex, 5 elements
Defined: | globally; see XML source
Includes: | definitions of 5 elements
Used: | never
CompressionType | A type that identifies the type of trade amalgamation, for example netting or portfolio compression.
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
CorporateActionEvent | A structure indicating that a trade has changed due to a corporate action
Content: | complex, 2 elements
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 1 location
CorporateActionType | A type that describes what type of corporate action occurred.
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
DeclearReason | A type that describes why a trade was removed from clearing.
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | never
EventId | A post-trade event reference identifier allocated by a party.
Content: | simple, 2 attributes
Defined: | globally; see XML source
Includes: | definitions of 2 attributes
Used: | at 1 location
EventType |
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
IndexChange | A structure describing the effect of a change to an index.
Content: | complex, 3 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
OptionExpiryBase | A structure describing an option expiring.
Content: | complex, 3 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | never
RequestedWithdrawalAction | A type that describes what the requester would like to see done to implement the withdrawal, e.g.
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | never
TerminatingEvent | A type that describes why a trade terminated.
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
TradeChangeBase | A structure describing a trade change.
Content: | complex, 7 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | never
TradeLegSizeChange | A structure describing a change to the size of a single leg or stream of a trade.
Content: | complex, 9 elements
Defined: | globally; see XML source
Used: | at 1 location
TradeMaturity | A structure describing a trade maturing.
Content: | complex, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | never
TradeReferenceInformation | Defines a type that allows trade identifiers and/or trade information to be represented for a trade.
Content: | complex, 6 elements
Defined: | globally; see XML source
Includes: | definitions of 6 elements
Used: | at 1 location
TradingEventSummary | A type that records a short form event history of a trade.
Content: | complex, 6 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | never
WithdrawalReason | A type that describes why a trade was withdrawn.
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | never

Element Group Summary
AgreementAndEffectiveDates.model | A model group defining agreement and effective dates.
Content: | 3 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | at 2 locations
FeeTrade.model |
Content: | 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | never
NewTrade.model |
Content: | 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | never
NovationAmounts.model |
Content: | 7 elements
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | never
NovationAmountsOld.model |
Content: | 6 elements
Defined: | globally; see XML source
Includes: | definitions of 6 elements
Used: | at 1 location
NovationDates.model |
Content: | 3 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | never
NovationRoles.model | The roles of the parties involved in the novation.
Content: | 10 elements
Defined: | globally; see XML source
Includes: | definitions of 10 elements
Used: | never
NovationTerms.model | Documentation and other terms (such as date terms) specific to this novation event.
Content: | 6 elements
Defined: | globally; see XML source
Includes: | definitions of 6 elements
Used: | never
OldTrade.model |
Content: | 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | never
TradeAlterationPayment.model | A model group defining a payment structure.
Content: | 1 element
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 1 location
TradeLegNotionalChange.model |
Content: | 3 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location
TradeLegNumberOfOptionsChange.model |
Content: | 3 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location
TradeLegNumberOfUnitsChange.model |
Content: | 3 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location
TradeNotionalChange.model | DEPRECATED.
Content: | 6 elements
Defined: | globally; see XML source
Includes: | definitions of 6 elements
Used: | never
TradeReferenceInformation.model | Defines a model group that allows information about a trade to be represented.
Content: | 1 element
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | never

XML Source

<?xml version="1.0" encoding="utf-8"?> <!-- == Copyright (c) 2002-2013 All rights reserved. == Financial Products Markup Language is subject to the FpML public license. == A copy of this license is available at http://www.fpml.org/license/license.html --> <xsd:schema attributeFormDefault="unqualified" ecore:documentRoot="FpML" ecore:nsPrefix="pre" ecore:package="org.fpml.pretrade" elementFormDefault="qualified" targetNamespace="http://www.fpml.org/FpML-5/pretrade" version="$Revision: 10172 $" xmlns="http://www.fpml.org/FpML-5/pretrade" xmlns:dsig="http://www.w3.org/2000/09/xmldsig#" xmlns:ecore="http://www.eclipse.org/emf/2002/Ecore" xmlns:fpml-annotation="http://www.fpml.org/annotation" xmlns:xsd="http://www.w3.org/2001/XMLSchema"> <xsd:include schemaLocation="fpml-msg-5-5.xsd"/> <xsd:include schemaLocation="fpml-asset-5-5.xsd"/> <xsd:complexType abstract="true" name="AbstractEvent"> <xsd:annotation> <xsd:documentation>Abstract base type for all events.</xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" name="eventIdentifier" type="BusinessEventIdentifier"/> </xsd:sequence> </xsd:complexType> <xsd:complexType abstract="true" name="AdditionalEvent"> <xsd:annotation> <xsd:documentation> Abstract base type for an extension/substitution point to customize FpML and add additional events. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="AbstractEvent"/> </xsd:complexContent> </xsd:complexType> <!-- APP added for EQS PSA CFD proposal --> <xsd:complexType name="BasketChangeEvent"> <xsd:annotation> <xsd:documentation> A structure indicating that the basket underlyer of the trade has changed due to client trading activity </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="ChangeEvent"> <!--View Generation: Skipped an empty sequence.--> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="BusinessEventIdentifier"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type defining an event identifier issued by the indicated party. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:group ref="PartyAndAccountReferences.model"> <xsd:annotation> <xsd:documentation xml:lang="en"> A pointer style reference to a party identifier and optionally an account identifier defined elsewhere in the document. The party referenced has allocated the trade identifier. </xsd:documentation> </xsd:annotation> </xsd:group> <xsd:element minOccurs="0" name="eventId" type="EventId"/> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType> <xsd:complexType abstract="true" name="ChangeEvent"> <xsd:annotation> <xsd:documentation> Abstract base type for non-negotiated trade change descriptions </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="AbstractEvent"> <!--View Generation: Skipped an empty sequence.--> </xsd:extension> </xsd:complexContent> </xsd:complexType> <!--View Generation: SKIPPED ClearingStatusItem - PartySpecific--> <xsd:complexType name="CompressionActivity"> <xsd:annotation> <xsd:documentation> A type that shows how multiple trades have been combined into a result. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="compressionType" type="CompressionType"/> <xsd:choice minOccurs="0"> <xsd:sequence> <xsd:element minOccurs="0" name="replacementTradeIdentifier" type="TradeIdentifier"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="originatingTradeIdentifier" type="TradeIdentifier"/> </xsd:sequence> <xsd:sequence> <xsd:annotation> <xsd:documentation> This option is deprecated in favour of the first choice. </xsd:documentation> </xsd:annotation> <xsd:element fpml-annotation:deprecated="true" fpml-annotation:deprecatedReason="Deprecated in favor of replacementTradeIdentifier" minOccurs="0" name="replacementTradeId" type="TradeId"/> <xsd:element fpml-annotation:deprecated="true" fpml-annotation:deprecatedReason="Deprecated in favor of originatingTradeIdentifier" maxOccurs="unbounded" minOccurs="0" name="originatingTradeId" type="TradeId"/> </xsd:sequence> </xsd:choice> </xsd:sequence> </xsd:complexType> <xsd:complexType name="CompressionType"> <xsd:annotation> <xsd:documentation> A type that identifies the type of trade amalgamation, for example netting or portfolio compression. </xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute default="http://www.fpml.org/coding-scheme/compression-type" name="compressionTypeScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <!-- APP added for EQS PSA CFD proposal --> <xsd:complexType name="CorporateActionEvent"> <xsd:annotation> <xsd:documentation> A structure indicating that a trade has changed due to a corporate action </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="ChangeEvent"> <xsd:sequence> <xsd:element minOccurs="0" name="type" type="CorporateActionType"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="TradingEventSummary"> <xsd:annotation> <xsd:documentation> A type that records a short form event history of a trade. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" name="eventIdentifier" type="BusinessEventIdentifier"/> <xsd:element minOccurs="0" name="eventType" type="EventType"/> <xsd:group ref="AgreementAndEffectiveDates.model"/> <xsd:element minOccurs="0" name="payment" type="NonNegativePayment"> <xsd:annotation> <xsd:documentation xml:lang="en"> A fee which compensates one of the parties for taking on a position that is off market. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="EventType"> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute default="http://www.fpml.org/coding-scheme/event-type" name="EventTypeScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="CorporateActionType"> <xsd:annotation> <xsd:documentation> A type that describes what type of corporate action occurred. </xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute name="corporateActionScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <!--View Generation: SKIPPED DeClear - Unsupported--> <xsd:complexType name="DeclearReason"> <xsd:annotation> <xsd:documentation> A type that describes why a trade was removed from clearing. </xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute default="http://www.fpml.org/coding-scheme/declear-reason" name="declearReasonScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="EventId"> <xsd:annotation> <xsd:documentation xml:lang="en"> A post-trade event reference identifier allocated by a party. FpML does not define the domain values associated with this element. Note that the domain values for this element are not strictly an enumerated list. </xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute name="eventIdScheme" type="xsd:anyURI"/> <xsd:attribute name="id" type="xsd:ID"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <!--View Generation: SKIPPED EventProposedMatch - Unsupported--> <!--View Generation: SKIPPED EventsChoice - Unsupported--> <xsd:complexType name="IndexChange"> <xsd:annotation> <xsd:documentation> A structure describing the effect of a change to an index. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="ChangeEvent"> <xsd:sequence> <xsd:element minOccurs="0" name="indexFactor" type="xsd:decimal"/> <xsd:element minOccurs="0" name="factoredCalculationAmount" type="Money"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <!--View Generation: SKIPPED ImpliedTrade - Unsupported--> <!--View Generation: SKIPPED OptionExercise - Unsupported--> <!--View Generation: SKIPPED OptionExpiry - Unsupported--> <xsd:complexType name="OptionExpiryBase"> <xsd:annotation> <xsd:documentation>A structure describing an option expiring.</xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" name="tradeIdentifier" type="PartyTradeIdentifier"/> <xsd:element minOccurs="0" name="date" type="xsd:date"/> <xsd:element minOccurs="0" name="time" type="xsd:time"/> </xsd:sequence> </xsd:complexType> <!--View Generation: SKIPPED PhysicalExercise - Unsupported--> <!--View Generation: SKIPPED PhysicalSettlement - Unsupported--> <xsd:complexType name="RequestedWithdrawalAction"> <xsd:annotation> <xsd:documentation> A type that describes what the requester would like to see done to implement the withdrawal, e.g. ExpungeRecords, RetainRecords. </xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute default="http://www.fpml.org/coding-scheme/requested-withdrawal-action" name="requestedWithdrawalActionScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="TerminatingEvent"> <xsd:annotation> <xsd:documentation>A type that describes why a trade terminated.</xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute default="http://www.fpml.org/coding-scheme/terminating-event" name="terminatingEventScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <!--View Generation: SKIPPED TradeAmendmentContent - Unsupported--> <xsd:complexType name="TradeChangeBase"> <xsd:annotation> <xsd:documentation>A structure describing a trade change.</xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="AbstractEvent"> <xsd:sequence> <xsd:choice minOccurs="0"> <xsd:element maxOccurs="unbounded" name="tradeIdentifier" type="PartyTradeIdentifier"/> <xsd:element name="originalTrade" type="Trade"/> </xsd:choice> <xsd:group ref="AgreementAndEffectiveDates.model"/> <xsd:group ref="TradeAlterationPayment.model"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <!--View Generation: SKIPPED TradeChangeContent - Unsupported--> <xsd:complexType name="TradeMaturity"> <xsd:annotation> <xsd:documentation>A structure describing a trade maturing.</xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" name="tradeIdentifier" type="PartyTradeIdentifier"/> <xsd:element minOccurs="0" name="date" type="xsd:date"/> </xsd:sequence> </xsd:complexType> <!--View Generation: SKIPPED TradeNotionalChange - Unsupported--> <xsd:complexType name="TradeLegSizeChange"> <xsd:annotation> <xsd:documentation> A structure describing a change to the size of a single leg or stream of a trade. </xsd:documentation> </xsd:annotation> <xsd:choice> <xsd:group ref="TradeLegNotionalChange.model"/> <xsd:group ref="TradeLegNumberOfOptionsChange.model"/> <xsd:group ref="TradeLegNumberOfUnitsChange.model"/> </xsd:choice> </xsd:complexType> <xsd:group name="TradeLegNotionalChange.model"> <xsd:sequence> <xsd:element minOccurs="0" name="notionalReference" type="NotionalReference"/> <!-- in the future perhaps this should allow a notional schedule to be put in here instead of a single value --> <xsd:element minOccurs="0" name="changeInNotionalAmount" type="NonNegativeMoney"/> <xsd:element minOccurs="0" name="outstandingNotionalAmount" type="NonNegativeMoney"/> </xsd:sequence> </xsd:group> <xsd:group name="TradeLegNumberOfOptionsChange.model"> <xsd:sequence> <xsd:element minOccurs="0" name="numberOfOptionsReference" type="NumberOfOptionsReference"/> <xsd:element minOccurs="0" name="changeInNumberOfOptions" type="xsd:decimal"/> <xsd:element minOccurs="0" name="outstandingNumberOfOptions" type="xsd:decimal"/> </xsd:sequence> </xsd:group> <xsd:group name="TradeLegNumberOfUnitsChange.model"> <xsd:sequence> <xsd:element minOccurs="0" name="numberOfUnitsReference" type="NumberOfUnitsReference"/> <xsd:element minOccurs="0" name="changeInNumberOfUnits" type="xsd:decimal"/> <xsd:element minOccurs="0" name="outstandingNumberOfUnits" type="xsd:decimal"/> </xsd:sequence> </xsd:group> <xsd:group fpml-annotation:deprecated="true" fpml-annotation:deprecatedReason="The model could not provide support for linking notionals with product legs. Also, there was limitation in the existing increase and termination events which don&#8217;t allow the reporting of both change of units or change of notional amount as required for dividend swaps, for example. Instead, sizeChange, should be used." name="TradeNotionalChange.model"> <xsd:annotation> <xsd:documentation> DEPRECATED. A structure describing a change to the trade notional. </xsd:documentation> </xsd:annotation> <xsd:choice> <xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" name="changeInNotionalAmount" type="NonNegativeMoney"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies the fixed amount by which the Notional Amount changes. The direction of the change (increase or decrease) is specified by the event type (Termination =&gt; reduction, Increase =&gt; greater.) </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="outstandingNotionalAmount" type="NonNegativeMoney"> <xsd:annotation> <xsd:documentation xml:lang="en">Specifies the Notional amount after the Change</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> <xsd:sequence> <xsd:element minOccurs="0" name="changeInNumberOfOptions" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies the fixed amount by which the Number of Options changes </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="outstandingNumberOfOptions" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en">Specifies the Number of Options after the Change.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> <xsd:sequence> <xsd:element minOccurs="0" name="changeInNumberOfUnits" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies the fixed amount by which the Number of Units changes </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="outstandingNumberOfUnits" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en">Specifies the Number of Units</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:choice> </xsd:group> <!--View Generation: SKIPPED TradeNovationContent - Unsupported--> <xsd:complexType name="TradeReferenceInformation"> <xsd:annotation> <xsd:documentation xml:lang="en"> Defines a type that allows trade identifiers and/or trade information to be represented for a trade. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:choice minOccurs="0"> <xsd:element name="originatingEvent" type="OriginatingEvent"> <xsd:annotation> <xsd:documentation xml:lang="en"> This may be used to describe why a trade was created. This can be used to provide context for a newly created trade that is not part of a post-trade event. For example, it can report that the trade was created as a result of netting activity, or due to a transfer, an allocation process, etc. Omitting this implies that the trade record was created as a result of a negotiated new trade. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="terminatingEvent" type="TerminatingEvent"> <xsd:annotation> <xsd:documentation xml:lang="en"> This may be used to describe why a trade was terminated. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> <xsd:element maxOccurs="unbounded" minOccurs="0" name="partyTradeIdentifier" type="PartyTradeIdentifier"> <xsd:annotation> <xsd:documentation xml:lang="en"> This allows the acknowledging party to supply additional trade identifiers for a trade underlying a request relating to a business event. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="partyTradeInformation" type="PartyTradeInformation"> <xsd:annotation> <xsd:documentation xml:lang="en"> This allows the acknowledging party to supply additional trade information about a trade underlying a request relating to a business event. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="productType" type="ProductType"/> <xsd:element minOccurs="0" name="productId" type="ProductId"/> </xsd:sequence> </xsd:complexType> <!--View Generation: SKIPPED Withdrawal - Unsupported--> <xsd:complexType name="WithdrawalReason"> <xsd:annotation> <xsd:documentation>A type that describes why a trade was withdrawn.</xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute default="http://www.fpml.org/coding-scheme/withdrawal-reason" name="withdrawalReasonScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:element abstract="true" name="additionalEvent" type="AdditionalEvent"> <xsd:annotation> <xsd:documentation xml:lang="en"> The additionalEvent element is an extension/substitution point to customize FpML and add additional events. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="changeEvent" type="ChangeEvent"> <xsd:annotation> <xsd:documentation> Abstract substitutable place holder for specific change details. </xsd:documentation> </xsd:annotation> </xsd:element> <!-- APP added for EQS PSA CFD proposal --> <xsd:element name="basketChange" substitutionGroup="changeEvent" type="BasketChangeEvent"> <xsd:annotation> <xsd:documentation> Describes a change due to change in composition of basket underlyer </xsd:documentation> </xsd:annotation> </xsd:element> <!-- APP added for EQS PSA CFD proposal --> <xsd:element name="corporateAction" substitutionGroup="changeEvent" type="CorporateActionEvent"> <xsd:annotation> <xsd:documentation>Describes a change due to a corporate action</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="indexChange" substitutionGroup="changeEvent" type="IndexChange"> <xsd:annotation> <xsd:documentation> Describes a change due to an index component being adjusted. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:group name="AgreementAndEffectiveDates.model"> <xsd:annotation> <xsd:documentation> A model group defining agreement and effective dates. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="agreementDate" type="xsd:date"> <xsd:annotation> <xsd:documentation>The date on which the change was agreed.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="executionDateTime" type="ExecutionDateTime"> <xsd:annotation> <xsd:documentation> The date and time at which the negotiated change to the terms of the original contract was agreed, such as via telephone or electronic trading system (i.e., agreement date/time). </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="effectiveDate" type="xsd:date"> <xsd:annotation> <xsd:documentation>The date on which the change become effective.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:group> <!--View Generation: SKIPPED Compression.model - Unsupported--> <!--View Generation: SKIPPED Events.model - Unsupported--> <!--View Generation: SKIPPED EventValuation.model - Unsupported--> <xsd:group name="FeeTrade.model"> <xsd:choice> <xsd:element name="feeTradeIdentifier" type="PartyTradeIdentifier"> <xsd:annotation> <xsd:documentation xml:lang="en"> Indicates a reference to the implied trade (the "fee trade") that the associated novation fee based on. This is equivalent to the new trade that is created by the novation (between the transferee and the remaining party), but is between the transferor and the transferee. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="feeTrade" type="Trade"> <xsd:annotation> <xsd:documentation xml:lang="en"> Indicates the original trade between the transferor and the remaining party. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> </xsd:group> <!--View Generation: SKIPPED MaturityAndExpiryEvents.model - Unsupported--> <xsd:group name="NewTrade.model"> <xsd:choice> <xsd:annotation> <xsd:documentation xml:lang="en"> Choice between identification and representation of the new contract. </xsd:documentation> </xsd:annotation> <xsd:element maxOccurs="unbounded" name="newTradeIdentifier" type="PartyTradeIdentifier"> <xsd:annotation> <xsd:documentation xml:lang="en"> Indicates a reference to the new trade between the transferee and the remaining party. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="newTrade" type="Trade"> <xsd:annotation> <xsd:documentation xml:lang="en"> Indicates the new trade between the transferee and the remaining party. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> </xsd:group> <xsd:group name="NovationAmounts.model"> <xsd:choice> <xsd:group ref="NovationAmountsOld.model"/> <xsd:element maxOccurs="unbounded" name="novationAmount" type="TradeLegSizeChange"/> </xsd:choice> </xsd:group> <xsd:group name="NovationAmountsOld.model"> <xsd:choice> <xsd:annotation> <xsd:documentation xml:lang="en"> Choice for expressing the novated amount as either a money amount, number of options, or number of units, according the the financial product which is being novated. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" name="novatedAmount" type="Money"> <xsd:annotation> <xsd:documentation xml:lang="en"> The amount which represents the portion of the Old Contract being novated. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="remainingAmount" type="Money"> <xsd:annotation> <xsd:documentation xml:lang="en"> The amount which represents the portion of the Old Contract not being novated. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> <xsd:sequence> <xsd:element minOccurs="0" name="novatedNumberOfOptions" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> The number of options which represent the portion of the Old Contract being novated. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="remainingNumberOfOptions" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> The number of options which represent the portion of the Old Contract not being novated. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> <xsd:sequence> <xsd:element minOccurs="0" name="novatedNumberOfUnits" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> The number of options which represent the portion of the Old Contract being novated. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="remainingNumberOfUnits" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> The number of options which represent the portion of the Old Contract not being novated. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:choice> </xsd:group> <xsd:group name="NovationDates.model"> <xsd:sequence> <xsd:element minOccurs="0" name="novationDate" type="xsd:date"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies the date that one party's legal obligations with regard to a trade are transferred to another party. It corresponds to the Novation Date section of the 2004 ISDA Novation Definitions, section 1.16. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="executionDateTime" type="ExecutionDateTime"> <xsd:annotation> <xsd:documentation>The date and time at which the change was agreed.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="novationTradeDate" type="xsd:date"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies the date the parties agree to assign or novate a Contract. If this element is not specified, the novationContractDate will be deemed to be the novationDate. It corresponds to the Novation Trade Date section of the 2004 ISDA Novation Definitions, section 1.17. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:group> <xsd:group name="NovationRoles.model"> <xsd:annotation> <xsd:documentation xml:lang="en"> The roles of the parties involved in the novation. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="transferor" type="PartyReference"> <xsd:annotation> <xsd:documentation xml:lang="en"> A pointer style reference to a party identifier defined elsewhere in the document. In a three-way novation the party referenced is the Transferor (outgoing party) in the novation. The Transferor means a party which transfers by novation to a Transferee all of its rights, liabilities, duties and obligations with respect to a Remaining Party. In a four-way novation the party referenced is Transferor 1 which transfers by novation to Transferee 1 all of its rights, liabilities, duties and obligations with respect to Transferor 2. ISDA 2004 Novation Term: Transferor (three-way novation) or Transferor 1 (four-way novation). </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="transferorAccount" type="AccountReference"/> <xsd:element minOccurs="0" name="transferee" type="PartyReference"> <xsd:annotation> <xsd:documentation xml:lang="en"> A pointer style reference to a party identifier defined elsewhere in the document. In a three-way novation the party referenced is the Transferee (incoming party) in the novation. Transferee means a party which accepts by way of novation all rights, liabilities, duties and obligations of a Transferor with respect to a Remaining Party. In a four-way novation the party referenced is Transferee 1 which accepts by way of novation the rights, liabilities, duties and obligations of Transferor 1. ISDA 2004 Novation Term: Transferee (three-way novation) or Transferee 1 (four-way novation). </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="otherTransferee" type="PartyReference"> <xsd:annotation> <xsd:documentation xml:lang="en"> A pointer style reference to a party identifier defined elsewhere in the document. In a five-way novation the party referenced is the Transferee's legal entity that is involved in the settlement of the fee leg of the novation transaction (this might be a different legal entity than the one that assumes the novation trade). NB: this element has been added pending confirmation of the business need/context in which it would be used, and might not appear in a subsequent draft of this schema. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="transfereeAccount" type="AccountReference"/> <xsd:element minOccurs="0" name="otherTransfereeAccount" type="AccountReference"/> <xsd:element minOccurs="0" name="remainingParty" type="PartyReference"> <xsd:annotation> <xsd:documentation xml:lang="en"> A pointer style reference to a party identifier defined elsewhere in the document. In a three-way novation the party referenced is the Remaining Party in the novation. Remaining Party means a party which consents to a Transferor's transfer by novation and the acceptance thereof by the Transferee of all of the Transferor's rights, liabilities, duties and obligations with respect to such Remaining Party under and with respect of the Novated Amount of a transaction. In a four-way novation the party referenced is Transferor 2 per the ISDA definition and acts in the role of a Transferor. Transferor 2 transfers by novation to Transferee 2 all of its rights, liabilities, duties and obligations with respect to Transferor 1. ISDA 2004 Novation Term: Remaining Party (three-way novation) or Transferor 2 (four-way novation). </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="remainingPartyAccount" type="AccountReference"/> <xsd:element minOccurs="0" name="otherRemainingParty" type="PartyReference"> <xsd:annotation> <xsd:documentation xml:lang="en"> A pointer style reference to a party identifier defined elsewhere in the document. This element is not applicable in a three-way novation and should be omitted. In a four-way novation the party referenced is Transferee 2. Transferee 2 means a party which accepts by way of novation the rights, liabilities, duties and obligations of Transferor 2. ISDA 2004 Novation Term: Transferee 2 (four-way novation). </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="otherRemainingPartyAccount" type="AccountReference"/> </xsd:sequence> </xsd:group> <xsd:group name="NovationTerms.model"> <xsd:annotation> <xsd:documentation xml:lang="en"> Documentation and other terms (such as date terms) specific to this novation event. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="fullFirstCalculationPeriod" type="xsd:boolean"> <xsd:annotation> <xsd:documentation xml:lang="en"> This element corresponds to the applicability of the Full First Calculation Period as defined in the 2004 ISDA Novation Definitions, section 1.20. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="2" minOccurs="0" name="firstPeriodStartDate" type="FirstPeriodStartDate"> <xsd:annotation> <xsd:documentation xml:lang="en"> Element that is used to be able to make sense of the &#8220;new transaction&#8221; without requiring reference back to the &#8220;old transaction&#8221;. In the case of interest rate products there are potentially 2 &#8220;first period start dates&#8221; to reference &#8211; one with respect to each party to the new transaction. For Credit Default Swaps there is just the one with respect to the party that is the fixed rate payer. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="nonReliance" type="Empty"> <xsd:annotation> <xsd:documentation xml:lang="en"> This element corresponds to the non-Reliance section in the 2004 ISDA Novation Definitions, section 2.1 (c) (i). The element appears in the instance document when non-Reliance is applicable. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="creditDerivativesNotices" type="CreditDerivativesNotices"> <xsd:annotation> <xsd:documentation xml:lang="en"> This element should be specified if one or more of either a Credit Event Notice, Notice of Publicly Available Information, Notice of Physical Settlement or Notice of Intended Physical Settlement, as applicable, has been delivered by or to the Transferor or the Remaining Party. The type of notice or notices that have been delivered should be indicated by setting the relevant boolean element value(s) to true. The absence of the element means that no Credit Event Notice, Notice of Publicly Available Information, Notice of Physical Settlement or Notice of Intended Physical Settlement, as applicable, has been delivered by or to the Transferor or the Remaining Party. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="contractualDefinitions" type="ContractualDefinitions"> <xsd:annotation> <xsd:documentation xml:lang="en"> The definitions (such as those published by ISDA) that will define the terms of the novation transaction. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="contractualTermsSupplement" type="ContractualTermsSupplement"> <xsd:annotation> <xsd:documentation xml:lang="en"> A contractual supplement (such as those published by ISDA) that will apply to the trade. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:group> <xsd:group name="OldTrade.model"> <xsd:choice> <xsd:element maxOccurs="unbounded" name="oldTradeIdentifier" type="PartyTradeIdentifier"> <xsd:annotation> <xsd:documentation xml:lang="en"> Indicates a reference to the original trade between the transferor and the remaining party. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="oldTrade" type="Trade"> <xsd:annotation> <xsd:documentation xml:lang="en"> Indicates the original trade between the transferor and the remaining party. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> </xsd:group> <!--View Generation: SKIPPED ProposedMatch.model - Unsupported--> <xsd:group name="TradeAlterationPayment.model"> <xsd:annotation> <xsd:documentation>A model group defining a payment structure.</xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" name="payment" type="Payment"> <xsd:annotation> <xsd:documentation> Describes a payment made in settlement of the change. Normally there will be a single fee, but there could be additional payments such as principal exchanges resulting from the termination. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:group> <!--View Generation: SKIPPED TradeOrInfo.model - PartySpecific--> <xsd:group name="TradeReferenceInformation.model"> <xsd:annotation> <xsd:documentation xml:lang="en"> Defines a model group that allows information about a trade to be represented. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="tradeReferenceInformation" type="TradeReferenceInformation"> <xsd:annotation> <xsd:documentation xml:lang="en">Information about a trade.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:group> </xsd:schema>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.